EDIT - bug #10107

i18n bug when editing media not having a default language title
07/29/2022 06:15 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.33

Severity: normal Found in Version:

Description

copied from #9007#note-11

i18n editing of the title is not available here, and to me it looks like when editing the record always a title record in the default
language is created, this is unwanted if a title in another language exists already; either we always offer i18n support in such a case
or we disable the field for editing - | realized this when using media in salvador database for media specimen. The media there use
Latin as title language (as the title shows mostly the taxon name and author of reference) and Spanish for the description. Especially
for the title this leads to unwanted results after saving the data as also the titleCache changes then

Related issues:
Related to EDIT - bug #10108: Description for MediaSpecimen not shown even if... Closed
Copied from EDIT - bug #9007: Enable i18n support for media description Ul Closed

Associated revisions

Revision 32071906 - 08/18/2022 11:53 AM - Katja Luther
ref #10107, #6228: add remove button to MultiLanguageTextElement and fix default text

Revision bff0ad69 - 08/18/2022 12:37 PM - Katja Luther
ref #10107, #6228: fix default language handling

Revision bcdd6336 - 09/13/2022 01:35 PM - Katja Luther

ref #10108: description is shown only if exist and fix multilangue with missing default language entry

Revision f797776c¢ - 09/14/2022 10:49 AM - Katja Luther

ref #10107: show translation buttons not for empty multilanguage text, if no multilanguage is selected

Revision 8372fee9 - 09/14/2022 11:46 AM - Katja Luther

ref #10107: remember the last selection in bulkeditor and set it after search

History

#1 - 07/29/2022 06:16 PM - Andreas Miiller
- Copied from bug #9007: Enable i18n support for media description Ul added

#2 - 07/29/2022 06:16 PM - Andreas Miiller

priority needs to be discussed

#3 - 07/29/2022 06:20 PM - Andreas Miiller

- Tags changed from i18n, salvador to i18n, salvador, media

#4 - 07/29/2022 06:20 PM - Andreas Miiller
- Related to bug #10108: Description for MediaSpecimen not shown even if it exists (i18n) added

#5 - 08/18/2022 12:38 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
This should be fixed,please review

#6 - 09/13/2022 12:36 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

This is mostly fixed. i18n editing works. Also, if no i18n support is switched on (and English is the application language) an existing title in another
language is still shown which is correct.

However, in this case it is partly possible to edit the data. This could be discussed because the user does not know that the text is stored under
another language. He/She might therefore write a new text in the incorrect language. Better would be to show a warning that the text is not written in
the default language but in language xxx. Even better would be to make the text ineditable in this case and warn that i18n support needs to be
switched on to edit this text.

Or even still better would be to automatically switch on i18n support in this case at this place to automatically show the correct language and to allow
editing in which language is preferred (this is what is meant by "either we always offer i18n support in such a case or we disable the field for editing"
in the description part of this ticket).

If this is difficult to implement we may create a new ticket to be able to close this one here as the current implementation is already much better then
before (but still a bit dangerous and therefore needs improvement).

#7 - 09/13/2022 12:37 PM - Andreas Miiller

Please also cleanup code in MultilanguageTextElement if possible as you commited a couple of commented lines (still needed?)

#8 - 09/13/2022 12:41 PM - Andreas Miiller

Andreas Muller wrote in #note-6:
However, in this case it is partly possible to edit the data.

With partly | mean that | realized that changes are not automatically stored in this case. Only if | do run "search" again the changes are persisted and
the bulkeditor title is synchronized with the new title. This needs to be fixed.

#9 - 09/13/2022 12:51 PM - Katja Luther

Andreas Muller wrote in #note-8:

Andreas Muller wrote in #note-6:

However, in this case it is partly possible to edit the data.

With partly | mean that | realized that changes are not automatically stored in this case. Only if | do run "search" again the changes are persisted
and the bulkeditor title is synchronized with the new title. This needs to be fixed.

It is stored if you save. And after save a new search is done automatically. And if you search, the changes are saved (with asking if it should be
saved)

#10 - 09/13/2022 01:39 PM - Katja Luther

Now it is implemented in the way that if there is no entry for the default language in "not multilanguage environment" then the multilanguage elements
are shown. The version with disabling the text field is a little bit confusing, | think.

#11 - 09/13/2022 01:42 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#12 - 09/14/2022 12:31 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Katja Luther wrote in #note-9:
Andreas Muller wrote in #note-8:

Andreas Muller wrote in #note-6:

However, in this case it is partly possible to edit the data.

With partly | mean that | realized that changes are not automatically stored in this case. Only if | do run "search" again the changes are
persisted and the bulkeditor title is synchronized with the new title. This needs to be fixed.

It is stored if you save. And after save a new search is done automatically. And if you search, the changes are saved (with asking if it should be
saved)

This is how it should be but it isn't. What | did in media bulkeditor:

e Search for gqqq (in rem_conf_am/ Media) => 1 Media found with language "Eine nette Sprache" and titel "gqqqqqrrrr"

Change title in details view to qqqgqrrraaaa => only details view label changed

Saved => still nothing changed

click search button again => details view label and title reverted to "qqqqqrrrr"

change title in details view again to "gqqgqgqrrraaaa” => now not only details view label but also bulk editor "Media" column changes and save etc.
works as expected

The 2nd change title works as expected, but why does it not work like this when | change title the first time?
#13 - 09/14/2022 12:37 AM - Andreas Miiller
Katja Luther wrote in #note-10:
Now it is implemented in the way that if there is no entry for the default language in "not multilanguage environment" then the multilanguage

elements are shown. The version with disabling the text field is a little bit confusing, I think.

What, if no title exists at all. It looks like i18n is shown then, too, but there is no reason for this. It should only be shown if there is no default language
but there is at least any other language representation.

#14 - 09/14/2022 10:33 AM - Katja Luther
Andreas Muller wrote in #note-13:
Katja Luther wrote in #note-10:
Now it is implemented in the way that if there is no entry for the default language in "not multilanguage environment" then the multilanguage

elements are shown. The version with disabling the text field is a little bit confusing, | think.

What, if no title exists at all. It looks like i18n is shown then, too, but there is no reason for this. It should only be shown if there is no default
language but there is at least any other language representation.

Andreas Muller wrote in #note-12:

Katja Luther wrote in #note-9:

Andreas Muller wrote in #note-8:

Andreas Muller wrote in #note-6:
However, in this case it is partly possible to edit the data.

With partly | mean that | realized that changes are not automatically stored in this case. Only if | do run "search" again the changes are
persisted and the bulkeditor title is synchronized with the new title. This needs to be fixed.

It is stored if you save. And after save a new search is done automatically. And if you search, the changes are saved (with asking if it should
be saved)

This is how it should be but it isn't. What | did in media bulkeditor:

e Search for ggqq (in rem_conf_am/ Media) => 1 Media found with language "Eine nette Sprache" and titel "qqqqqrrrr"
Change title in details view to qqqgqrrraaaa => only details view label changed

Saved => still nothing changed

click search button again => details view label and title reverted to "qqgqqrrrr"

change title in details view again to "gqqqqgrrraaaa” => now not only details view label but also bulk editor "Media" column changes and
save etc. works as expected

The 2nd change title works as expected, but why does it not work like this when | change title the first time?
This was a problem of missing selection in bulkeditor, this should be fixed now. Please review.

#15 - 09/14/2022 11:46 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#16 - 09/30/2022 01:01 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

Seems to work as expected, now.
